Package wx :: Package lib :: Package ogl :: Class PseudoMetaFile

[frames | no frames]

## Type PseudoMetaFile

    object --+
             |
            PseudoMetaFile

A simple metafile-like class which can load data from a Windows metafile on all platforms.

Method Summary
| `__init__(self)`
| `CalculateSize(self, shape)`
| `Clear(self)`
| `DestroyClippingRect(self)`
| `Draw(self, dc, xoffset, yoffset)`
| `DrawArc(self, centrePt, startPt, endPt)`
| `DrawEllipse(self, rect)`
| `DrawEllipticArc(self, rect, startAngle, endAngle)`
| `DrawLine(self, pt1, pt2)`
| `DrawLines(self, pts)`
| `DrawPoint(self, pt)`
| `DrawPolygon(self, pts, flags)`
| `DrawRectangle(self, rect)`
| `DrawRoundedRectangle(self, rect, radius)`
| `DrawSpline(self, pts)`
| `DrawText(self, text, pt)`
| `GetBounds(self)`
| `GetFillBrush(self)`
| `GetFillColours(self)`
| `GetOps(self)`
| `GetOutlineColours(self)`
| `GetOutlineOp(self)`
| `GetOutlinePen(self, pen)`
| `GetRotateable(self)`
| `IsValid(self)`
| `LoadFromMetaFile(self, filename, rwidth, rheight)`
| `Rotate(self, x, y, theta)`
| `Scale(self, sx, sy)`
| `ScaleTo(self, w, h)`
| `SetBackgroundColour(self, colour)`
| `SetBackgroundMode(self, mode)`
| `SetBrush(self, brush, isFill)`
| `SetClippingRect(self, rect)`
| `SetFillBrush(self, brush)`
| `SetFont(self, font)`
| `SetOutlineOp(self, op)`
| `SetOutlinePen(self, pen)`
| `SetPen(self, pen, isOutline)`
| `SetRotateable(self, rot)`
| `SetSize(self, w, h)`
| `SetTextColour(self, colour)`
| `Translate(self, x, y)`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:45 2007 | http://epydoc.sf.net